edu.whs.spin2018.baoapp.service

## Class SocketEvents

- java.lang.Object
- - edu.whs.spin2018.baoapp.service.SocketEvents

-     public final class SocketEvents
      extends java.lang.Object

  Stellt Konstanten fuer die Socket Events zur Verfügung.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BENUTZER_TRITT_RAUM_BEI`
    `static java.lang.String` | `BENUTZER_VERLAESST_RAUM`
    `static java.lang.String` | `BENUTZERLISTE_ERHALTEN`
    `static java.lang.String` | `EVENT_LOGIN`
    `static java.lang.String` | `EVENT_NACHRICHT`
    `static java.lang.String` | `EVENT_RAUM_BEITRETEN`
    `static java.lang.String` | `EVENT_RAUM_VERLASSEN`
    `static java.lang.String` | `EVENT_VERBINDEN`
    `static java.lang.String` | `EVENT_VERBINDUNG_TRENNEN`
    `static java.lang.String` | `EVENT_VERBUNDEN`
    `static java.lang.String` | `NACHRICHT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SocketEvents()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NACHRICHT

          public static final java.lang.String NACHRICHT

      See Also:
        Constant Field Values

    - #### BENUTZER_TRITT_RAUM_BEI

          public static final java.lang.String BENUTZER_TRITT_RAUM_BEI

      See Also:
        Constant Field Values

    - #### BENUTZER_VERLAESST_RAUM

          public static final java.lang.String BENUTZER_VERLAESST_RAUM

      See Also:
        Constant Field Values

    - #### BENUTZERLISTE_ERHALTEN

          public static final java.lang.String BENUTZERLISTE_ERHALTEN

      See Also:
        Constant Field Values

    - #### EVENT_NACHRICHT

          public static final java.lang.String EVENT_NACHRICHT

      See Also:
        Constant Field Values

    - #### EVENT_VERBINDEN

          public static final java.lang.String EVENT_VERBINDEN

      See Also:
        Constant Field Values

    - #### EVENT_VERBINDUNG_TRENNEN

          public static final java.lang.String EVENT_VERBINDUNG_TRENNEN

      See Also:
        Constant Field Values

    - #### EVENT_RAUM_BEITRETEN

          public static final java.lang.String EVENT_RAUM_BEITRETEN

      See Also:
        Constant Field Values

    - #### EVENT_RAUM_VERLASSEN

          public static final java.lang.String EVENT_RAUM_VERLASSEN

      See Also:
        Constant Field Values

    - #### EVENT_VERBUNDEN

          public static final java.lang.String EVENT_VERBUNDEN

      See Also:
        Constant Field Values

    - #### EVENT_LOGIN

          public static final java.lang.String EVENT_LOGIN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SocketEvents

          public SocketEvents()